﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;

namespace Telerik.Windows.Controls
{
	internal class BindingExpressionHelper : FrameworkElement
	{
        private static readonly DependencyProperty ValProperty = DependencyProperty.Register("Val", typeof(object), typeof(BindingExpressionHelper), null);

		public static object GetValue(object item, string propertyPath)
		{
			BindingExpressionHelper helper = new BindingExpressionHelper();
			helper.SetBinding(BindingExpressionHelper.ValProperty, new Binding(propertyPath ?? ".") { Source = item });
			object value = helper.GetValue(ValProperty);
            helper.ClearValue(BindingExpressionHelper.ValProperty);
            return value;
		}
	}
}