﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;


namespace ComboBox_FindItem
{
    public static class FindItem
    {
        public static object FindItemWithValue(this RadGridView grid, object value, string valuePath)
        {
            foreach (object item in grid.Items)
            {
                object itemValue = BindingExpressionHelper.GetValue(item, valuePath);
                if (itemValue != null && object.Equals(itemValue, value))
                {
                    return item;
                }
            }
            return null;
        }
    }
}
